Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.shading
Class IOR

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.imp3d.shading.IOR

All Implemented Interfaces:
  Manageable, Shareable, Interior

    public class IOR

extends ShareableBase
implements Interior

Nested Class Summary
`static class` | `IOR.Type`

Nested classes/interfaces inherited from interface de.grogra.ray.physics.Interior
`Interior.Input`

Field Summary
`static IOR.Type` | `$TYPE`
`static SCOType.Field` | `indexOfRefraction$FIELD`

Constructor Summary
`IOR()`
`IOR(float index)`

Method Summary
`void` | `attenuate(Interior.Input in, Color3f outColor)` Calculates the attenuation of a light ray as it travels through this interior.
`float` | `getIndexOfRefraction()`
`float` | `getIndexOfRefraction(Spectrum spectrum)` Returns the index of refraction of the interior.
`ManageableType` | `getManageableType()`

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final IOR.Type $TYPE

### indexOfRefraction$FIELD

    public static final SCOType.Field indexOfRefraction$FIELD

Constructor Detail

### IOR

    public IOR()

### IOR

    public IOR(float index)

Method Detail

### attenuate

    public void attenuate(Interior.Input in,
                          Color3f outColor)

  Description copied from interface: `Interior`
  Calculates the attenuation of a light ray as it travels through this interior.

  Specified by:
    `attenuate` in interface `Interior`
  Parameters:
    `in` - the input data
    `outColor` - the outgoing color of the light ray will be placed in here

### getIndexOfRefraction

    public float getIndexOfRefraction()

### getIndexOfRefraction

    public float getIndexOfRefraction(Spectrum spectrum)

  Description copied from interface: `Interior`
  Returns the index of refraction of the interior. The computed index of refraction has to be averaged over the `spectrum`.

  Specified by:
    `getIndexOfRefraction` in interface `Interior`
  Parameters:
    `spectrum` - spectrum for which the average IOR has to be computed
  Returns:
    index of refraction

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD